.. AUTO-GENERATED FILE. DO NOT EDIT. hardware-toolboxes-get-many =========================== Source ------ - Repository: ``jef-systems/jef-hardware-backend`` - Source Run ID: ``25090515545`` - Source SHA: ``444376867c764658b4ed0286bc44ff0ac8c80995`` - Module: ``hardware`` - Documentation Scope: ``get`` - Lambda: ``jef-hardware-get-8`` Endpoint -------- - API Name: ``jef-hardware`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/hardware-toolboxes-get-many`` - Complete Endpoint: ``https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-8`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-hardware-get-8 API Name: jef-hardware Action: get Method: GET Resource Path: /hardware-toolboxes-get-many Table: - table: jef-hardware-toolboxes - operation: get-many Payload Schema: - gsi_1_pk: entity_number - gsi_1_sk: toolbox_number Payload Example: - gsi_1_pk: BOX-0001 - gsi_1_sk: 2026-04-24T10:00:00+08:00 Response Schema: - exists: boolean - message: string - items: [{"toolbox_number":"string","entity_number":"string","toolbox_code":"string","toolbox_name":"string","equipment_name":"string","category":"string","included_items":["string"],"daily_rate":"number","status":"string","updated_at":"string"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "entity_number", "gsi_1_sk": "toolbox_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"toolbox_number\":\"string\",\"entity_number\":\"string\",\"toolbox_code\":\"string\",\"toolbox_name\":\"string\",\"equipment_name\":\"string\",\"category\":\"string\",\"included_items\":[\"string\"],\"daily_rate\":\"number\",\"status\":\"string\",\"updated_at\":\"string\"}]" } CMD curl -------- .. code-block:: text curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-many?gsi_1_pk=BOX-0001&gsi_1_sk=2026-04-24T10%3A00%3A00%2B08%3A00" PowerShell curl --------------- .. code-block:: text curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-toolboxes-get-many?gsi_1_pk=BOX-0001&gsi_1_sk=2026-04-24T10%3A00%3A00%2B08%3A00"